%define anolis_release 2

Summary:        C library for parsing command line parameters
Name:           popt
Version:        1.19
Release:        %{anolis_release}%{?dist}
License:        MIT
URL:            https://github.com/rpm-software-management/popt/
Source0:        http://ftp.rpm.org/popt/releases/popt-1.x/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  make

%description
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but
it improves on them by allowing more powerful argument expansion.
Popt can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

# Upstream patches
Patch1: 0001-tests-Fix-reporting-of-test-failures.patch

%package devel
Summary:        Development files for the popt library
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description devel
The popt-devel package includes header files and libraries necessary
for developing programs which use the popt C library. It contains the
API documentation of the popt library, too.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%if 0%{!?_without_static:1}
%package static
Summary:        Static library for parsing command line parameters
Requires:       %{name}-devel = %{version}-%{release}

%description static
The popt-static package includes static libraries of the popt library.
Install it if you need to link statically with libpopt.
%endif

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure %{?_without_static:--disable-static}
%make_build

%install
%make_install

# Don't install any libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/libpopt.la

# Multiple popt configurations are possible
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/popt.d/

%find_lang %{name}

%check
make check || cat tests/*.log

%ldconfig_scriptlets

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_sysconfdir}/popt.d/
%{_libdir}/libpopt.so.*
%{abidir}/libpopt.dump

%files devel
%{_libdir}/libpopt.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/popt.h
%{_mandir}/man3/popt.3*

%if 0%{!?_without_static:1}
%files static
%{_libdir}/libpopt.a
%endif

%files doc
%doc README ABOUT-NLS CREDITS

%changelog
* Mon Jan 09 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 1.19.2
- fix reporting of test failures and optimize spec

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.19-1
- update to 1.19

* Tue Mar 08 2022 Renbo <rb01097748@alibaba-inc.com> - 1.18-1
- Init for Anolis OS 23
